Bug 427686 - Gnome Volume Manager cannot alter volume on PCM channel
Gnome Volume Manager cannot alter volume on PCM channel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 12:54 EST by Max E
Modified: 2009-01-19 12:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-19 12:35:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max E 2008-01-06 12:54:18 EST
Description of problem:

Gnome Volume Manager is unable to properly alter volume on the PCM channel using
the following sequence of hardware.  
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01) on Compaq Presario V5214ea.  

The PCM volume control on GVM 'wobbles' when you try and change the audio level,
but doesn't actually do it. You also get a noticable 'crackling' when changing
the audio level.  The level does go slightly up/down, but then the visual
indicator does not match the level of output volume. 

If you use alsamixer, then you don't suffer from any problems change the PCM levels.

I have found that if you unlink the left and right channels, then change the
individual channels, this does seem to work, but you cannot change both [linked]
audio channels at the sametime. 

Version-Release number of selected component (if applicable):

Gnome Volume Manager 2.20.1

How reproducible:

Always

Steps to Reproduce:
1. Open up Rhythmbox 0.11.3
2. Start playing music
3. Now open up Gnome Volume Manager and try and change the PCM audio level.  You
will suffer from 'clicking' and generally unresponsive PCM level control
  
Actual results:

Audio levels become out of sync with visual fader level.  Audio crackles when
changing.

Expected results:

SMOOTH change of audio volume to be reflected in the visual representation of
volume level. No audio crackles.

Additional info:

alsactl version 1.0.15

output from lspci -vv

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
        Subsystem: Hewlett-Packard Company Unknown device 30a5
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0, Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 22
        Region 0: Memory at d0340000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: <access denied>

Also interesting output from /var/log/messages

Jan  6 14:33:03 localhost pulseaudio[2403]: alsa-util.c: Device hw:1 doesn't
support 44100 Hz, changed to 48000 Hz.
Jan  6 14:33:03 localhost pulseaudio[2403]: alsa-util.c: Device hw:1 doesn't
support 44100 Hz, changed to 48000 Hz.
Comment 1 Max E 2008-01-06 12:55:34 EST
Workaround is to use Alsamixer for the timebeing
Comment 2 Bug Zapper 2008-05-14 00:18:20 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bastien Nocera 2009-01-19 12:35:20 EST
This bug should be fixed with the new gnome-volume-control and gnome-volume-control-applet in rawhide, available in the gnome-media package. Please reopen if the problem persists with those versions.

Note You need to log in before you can comment on or make changes to this bug.